# Generated from resque_admin-scheduler-1.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name resque_admin-scheduler

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 1%{?dist}
Summary: Light weight job scheduling on top of ResqueAdmin
License: MIT
URL: http://github.com/resque_admin/resque_admin-scheduler
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(json)
# BuildRequires: rubygem(kramdown)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(tzinfo-data)
# BuildRequires: rubygem(rubocop) >= 0.40.0
# BuildRequires: rubygem(rubocop) < 0.41
BuildArch: noarch

%description
Light weight job scheduling on top of ResqueAdmin.
Adds methods enqueue_at/enqueue_in to schedule jobs in the future.
Also supports queueing jobs on a fixed, cron-like schedule.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/resque_admin-scheduler
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 1.3.0-1
- Initial package
